import { StatusCode } from '../shared/codes.js';
import { Options } from '../shared/types.js';

interface ModeResult {
    code: StatusCode;
    options: Partial<Options>;
}
type ModeRunner = (args: string[]) => Promise<ModeResult>;
type Mode = "create" | "initialize" | "migrate";
declare function promptForMode(input: boolean | string | undefined): Promise<Mode | Error | undefined>;

export { Mode, ModeResult, ModeRunner, promptForMode };
