import { Options } from '../types.js';
import { GitHub } from './getGitHub.js';
import 'octokit';

type EnsureRepositoryExistsOptions = Pick<Options, "createRepository" | "owner" | "repository">;
interface RepositoryExistsResult {
    github: GitHub | undefined;
    repository: string;
}
declare function ensureRepositoryExists(github: GitHub | undefined, options: EnsureRepositoryExistsOptions): Promise<Partial<RepositoryExistsResult>>;

export { EnsureRepositoryExistsOptions, RepositoryExistsResult, ensureRepositoryExists };
