import { Options } from '../types.js';
import { GitHub } from './getGitHub.js';
import 'octokit';

interface GitHubAndOptions {
    github: GitHub | undefined;
    options: Options;
}
interface OptionsParseCancelled {
    cancelled: true;
    options: Partial<Options>;
}
interface OptionsParseSuccess extends GitHubAndOptions {
    cancelled: false;
}
type OptionsParseResult = OptionsParseCancelled | OptionsParseSuccess;
declare function readOptions(args: string[]): Promise<OptionsParseResult>;

export { GitHubAndOptions, OptionsParseCancelled, OptionsParseResult, OptionsParseSuccess, readOptions };
